Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server
Class RemoteProjectManager

    java.lang.Object
      edu.stanford.smi.protege.server.RemoteProjectManager

    public class RemoteProjectManager

extends Object

Constructor Summary
`RemoteProjectManager()`

Method Summary
`MetaProject` | `connectToMetaProject(RemoteServer server, RemoteSession session)`
`Project` | `connectToProject(RemoteServer server, RemoteSession session, String name)`
`static RemoteProjectManager` | `getInstance()`
`Project` | `getProject(String serverName, String username, String password, String projectName, boolean pollForEvents)`
`Project` | `getRemoteProject()`
`Project` | `getServerProject(JComponent parent, RemoteServer server, RemoteSession session)`
`void` | `showServerAdminWindow(RemoteServer server, RemoteSession session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteProjectManager

    public RemoteProjectManager()

Method Detail

### getInstance

    public static RemoteProjectManager getInstance()

### getRemoteProject

    public Project getRemoteProject()

### getServerProject

    public Project getServerProject(JComponent parent,
                                    RemoteServer server,
                                    RemoteSession session)

### getProject

    public Project getProject(String serverName,
                              String username,
                              String password,
                              String projectName,
                              boolean pollForEvents)

### connectToProject

    public Project connectToProject(RemoteServer server,
                                    RemoteSession session,
                                    String name)

### connectToMetaProject

    public MetaProject connectToMetaProject(RemoteServer server,
                                            RemoteSession session)

### showServerAdminWindow

    public void showServerAdminWindow(RemoteServer server,
                                      RemoteSession session)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.